Subject: Re: Clear coat

From: Russell McCrackin <[email-masked]>
Date: Sat, 6 Jul 1996 20:03:19 -0700 (PDT)

At 01:41 PM 7/5/96 -0400, you wrote:
>I would like to know what ye all recommend for a clear coat finish on 
>interior ironwork.  Say you have a patina on steel, or want to leave it 
>natural; what is the best to use for a clear, protective coat?  How 
>about matt or satin versus glossy?  I believe someone once mentioned 
>ValOil - is that a good finish clear coat?  I've used polyurethane, but 
>don't like the result.  Any recommendations would be appreciated.
>
>D.C. Hufford
>Richmond, KY
>
>
I have used a product called "Deft" on kitchen drawer pulls, cabinet door 
handles, towel rings, drapery rods, etc.  It is labeled as a clear wood 
finish, but I have great success with it on metal.  Comes either gloss or
semi=gloss.  Dries to the touch in about 30 minutes.  Wait 2 hours between
coats.  Easist "bar top varnish" I have ever used.  Finished a dresser with
it many years ago, used a powder puff to spread it, leveled quickly, and 
came out fine.  Only have trouble with brush marks if you use too little of it.
Clean up with lacquer thinner.  Used paint thinner once, and got a lot of "Junk"
on the brush, but when it dried, the brush came clean with a little rubbing.
Mkaes a good clear coat that resists wet hands, etc.

Rusty

Get it hot and hit it hard.

Never use force, get a bigger hammer.
 [email-masked]